from django.db import models

# Create your models here.
class Entry(models.Model):
    Gaeilge = models.CharField(max_length=100)
    PoS = models.CharField(max_length=20)
    Pronoun = models.CharField(max_length=250)
    PreScript = models.CharField(max_length=200)
    PostScript = models.CharField(max_length=2000)

class Meaning(models.Model):
    Entry = models.ForeignKey("Entry", on_delete=models.CASCADE)
    Meaning_content = models.CharField(max_length=500)
    Exam_Sentence1 = models.CharField(max_length=1000)
    Exam_Sentence1_zh = models.CharField(max_length=1000)
    Exam_Sentence2 = models.CharField(max_length=1000)
    Exam_Sentence2_zh = models.CharField(max_length=1000)   
    Exam_Sentence3 = models.CharField(max_length=1000)
    Exam_Sentence3_zh = models.CharField(max_length=1000)

class Noun(models.Model):
    Entry = models.ForeignKey("Entry", on_delete=models.CASCADE)
    Decl_no = models.IntegerField(),
    Gsg = models.CharField(max_length=100)
    Npl = models.CharField(max_length=100)
    Gpl = models.CharField(max_length=100)
    Dsg = models.CharField(max_length=100)

class Adjective(models.Model):
    Entry = models.ForeignKey("Entry", on_delete=models.CASCADE)
    Decl_no = models.IntegerField()
    Comp = models.CharField(max_length=100)

class Preposition(models.Model):
    Entry = models.ForeignKey("Entry", on_delete=models.CASCADE)
    _1sg = models.CharField(max_length=100)
    _2sg = models.CharField(max_length=100)
    _3sg_m = models.CharField(max_length=100)
    _3sg_f = models.CharField(max_length=100)
    _1pl = models.CharField(max_length=100)
    _2pl = models.CharField(max_length=100)
    _3pl = models.CharField(max_length=100)

class Verb(models.Model):
    Entry = models.ForeignKey("Entry", on_delete=models.CASCADE)
    Conj_no = models.IntegerField()
    VN = models.CharField(max_length=100)
    PP = models.CharField(max_length=100)
    _1sg_pres = models.CharField(max_length=100)
    _2sg_pres = models.CharField(max_length=100)
    _3sg_pres = models.CharField(max_length=100)
    _1pl_pres = models.CharField(max_length=100)
    _2pl_pres = models.CharField(max_length=100)
    _3pl_pres = models.CharField(max_length=100)
    Rel_pres = models.CharField(max_length=100) #  for "a leanas" only

	auto_pres	1sg_past	2sg_past	3sg_past	1pl_past	2pl_past	3pl_past	auto_past	1sg_pa_ha	2sg_pa_ha	3sg_pa_ha	1pl_pa_ha	2pl_pa_ha	3pl_pa_ha	auto_pa_ha	1sg_fut	2sg_fut	3sg_fut	1pl_fut	2pl_fut	3pl_fut	rel_fut	auto_fut	1sg_cond	2sg_cond	3sg_cond	1pl_cond	2pl_cond	3pl_cond	auto_cond	1sg_subj	2sg_subj	3sg_subj	1pl_subj	2pl_subj	3pl_subj	auto_subj	1sg_imp	2sg_imp	3sg_imp	1pl_imp	2pl_imp	3pl_imp	auto_imp
